Bug 1575539 - [GSS] Glusterd memory leaking in gf_gld_mt_linebuf
Summary: [GSS] Glusterd memory leaking in gf_gld_mt_linebuf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.2
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Sanju
QA Contact: Bala Konda Reddy M
URL:
Whiteboard:
Depends On:
Blocks: 1503138 1580352 1611110
TreeView+ depends on / blocked
 
Reported: 2018-05-07 08:50 UTC by nravinas
Modified: 2019-01-09 14:56 UTC (History)
11 users (show)

Fixed In Version: glusterfs-3.12.2-13
Doc Type: Bug Fix
Doc Text:
The memory leak at glusterd resulted during gluster volume geo-replication status operation has been addressed in Red Hat Gluster Storage 3.4
Clone Of:
: 1580352 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:47:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:48:40 UTC
Red Hat Knowledge Base (Solution) 3465301 None None None 2018-06-29 08:28:58 UTC

Comment 4 Sanju 2018-05-09 06:28:56 UTC
Hi Natalia,

Can you please also provide statedumps from production gluster nodes?? As there is huge memory leak around 6GB in production gluster nodes, it is good to get statedumps from production nodes.

Thanks,
Sanju

Comment 26 errata-xmlrpc 2018-09-04 06:47:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.